Issue #15164 has been updated by nagachika (Tomoyuki Chikanaga).

Backport changed from 2.3: DONTNEED, 2.4: DONTNEED, 2.5: REQUIRED to 2.3: DONTNEED, 2.4: DONTNEED, 2.5: DONE

ruby_2_5 r64982 merged revision(s) 64860,64861.

----------------------------------------
Bug #15164: mkmf doesn't work with miniruby on Windows
https://bugs.ruby-lang.org/issues/15164#change-74366

* Author: naruse (Yui NARUSE)
* Status: Closed
* Priority: Normal
* Assignee: 
* Target version: 
* ruby -v: 
* Backport: 2.3: DONTNEED, 2.4: DONTNEED, 2.5: DONE
----------------------------------------
After r59449 `nmake` failes to run when making ripper and so on.
It because miniruby sets UTF-8 encoding even though the content is CP932 (on Japanese Windows).
It should set ASCII-8BIT and handle as it is.
```
ripper:
"       Could not be configured. It will not be installed."
"       C:/ruby-trunk/lib/mkmf.rb:1560: invalid byte sequence in UTF-8"
"       Check ext/ripper/mkmf.log for more details."
*** Fix the problems, then remove these directories and try again if you want.
```

Note that recent Windows sets PATH to paths under %APPDATA% for example
C:\Users\<UserNameInANSI>\AppData\Local\Microsoft\WindowsApps



-- 
https://bugs.ruby-lang.org/

Unsubscribe: <mailto:ruby-core-request / ruby-lang.org?subject=unsubscribe>
<http://lists.ruby-lang.org/cgi-bin/mailman/options/ruby-core>